class Name extends Sprite {
    constructor(x, y, text, color = 'black', fontSize = 20) {
        super(x, y, 0, 0);
        this.text = text;
        this.color = color;
        this.fontSize = fontSize;
        this.isUI = true; 
    }

    update() { return false; }

    draw(ctx) {
        ctx.fillStyle = this.color;
        ctx.font = `${this.fontSize}px Arial`;
        ctx.fillText(this.text, this.x, this.y);
    }
}
